(define-module (guile-docs server routing)
  #:use-module (guile-docs docs)
  #:export (generate-routing-table
            default-routing-table))

(define (generate-routing-table)
  "Creates an alist of URIs and associated <doc> for the guile namespace"
  (let* ((default-module (resolve-interface '(guile)))
         (docs (docs-in-module default-module)))
    (map (lambda (doc) `(,(document-uri doc) . ,doc))
         docs)))

(define default-routing-table (generate-routing-table))
